create_air_region#
- Modeler3D.create_air_region(x_pos=0, y_pos=0, z_pos=0, x_neg=0, y_neg=0, z_neg=0, is_percentage=True)[source]#
Create an air region.
- Parameters:
- x_pos
float
orstr
,optional
If float, padding in the +X direction in modeler units. If str, padding with units in the +X direction. The default is
0
.- y_pos
float
orstr
,optional
If float, padding in the +Y direction in modeler units. If str, padding with units in the +Y direction. The default is
0
.- z_pos
float
orstr
,optional
If float, padding in the +Z direction in modeler units. If str, padding with units in the +Z direction. The default is
0
.- x_neg
float
orstr
,optional
If float, padding in the -X direction in modeler units. If str, padding with units in the -X direction. The default is
0
.- y_neg
float
orstr
,optional
If float, padding in the -Y direction in modeler units. If str, padding with units in the -Y direction. The default is
0
.- z_neg
float
orstr
,optional
If float, padding in the -Z direction in modeler units. If str, padding with units in the -Z direction. The default is
0
.- is_percentagebool,
optional
Region definition in percentage or absolute value. The default is True`.
- x_pos
- Returns:
References
>>> oEditor.CreateRegion